Page MenuHomeFreeBSD

kde.mk, qt.mk: Prefix component variables to avoid clashes.
ClosedPublic

Authored by rakuco on Mar 18 2019, 9:57 PM.
Tags
None
Referenced Files
Unknown Object (File)
Dec 30 2022, 3:25 PM
Unknown Object (File)
Dec 28 2022, 7:23 PM
Unknown Object (File)
Dec 4 2022, 3:21 PM
Subscribers

Details

Summary

rP496074 was necessary because both kde.mk and qt.mk were setting wayland_LIB and wayland_PORT, and qt.mk overrode the version in kde.mk.

Follow what we do in pyqt.mk and prefix the component variables to avoid future clashes.

Test Plan

Qt and KDE ports still built correctly.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

tcberner added a subscriber: tcberner.

Thank you :)

This revision was not accepted when it landed; it landed in state Needs Review.Mar 19 2019, 10:34 PM
This revision was automatically updated to reflect the committed changes.